'use strict';

const pairConfig = require('./pair-config-aa66e586.js');
const viewConfig = require('./view-config-c409ff28.js');

class AtamaMemberPairDetailViewConfig extends viewConfig.DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(AtamaMemberPairDetailViewConfig.prototype), json);
    model.table = pairConfig.PairConfig.decode(model.table);
    return model;
  }
}

exports.AtamaMemberPairDetailViewConfig = AtamaMemberPairDetailViewConfig;
